#include <bits/stdc++.h>
using namespace std;

int main()
{
	int n, c, k, x, p=0; cin >> n >> k >> x;
	
	vector<int>a(n);
	
	for(int i = 0; i < n; i++)
	{
	    cin >> a[i];
	}
	
	
	for(int i = 0; i < n; i++)
	{
	    for(int i = p; i < k; i++)
	    {
	        int b = 0;
	        c=0;
	        b+=a[i]*c;
	        if(a[i] == x || -a[i] == x)
	        {
	            c++;
	        }
	        cout << b << ' ';
	        p++;
	    }
	}

	return 0;
}